routeEnhancers:
  BlogCategory:
    type: Extbase
    extension: Blog
    plugin: Category
    routes:
      -
        routePath: '/category/{category_title}'
        _controller: 'Post::listPostsByCategory'
        _arguments:
          category_title: category
      -
        routePath: '/category/{category_title}/page-{page}'
        _controller: 'Post::listPostsByCategory'
        _arguments:
          category_title: category
          page: 'currentPage'
    defaultController: 'Post::listPostsByCategory'
    requirements:
      category_title: '^[a-z0-9].*$'
      page: '\d+'
    aspects:
      category_title:
        type: PersistedPatternMapper
        tableName: sys_category
        routeFieldPattern: '^(?P<slug>.+)$'
        routeFieldName: 'slug'
        routeFieldResult: '{slug}'
      page:
        type: StaticRangeMapper
        start: '1'
        end: '99'
